import React from 'react';
import { createRoot, Root } from 'react-dom/client';
import { Hello } from './Hello';


const params: URLSearchParams = new URLSearchParams(window.location.search);
const name: string | null = params.get("name");

const main: HTMLElement | null = document.getElementById('main');
if (main === null)
  throw new Error("HTML missing 'main' element");

const root: Root = createRoot(main);
if (name === null) {
  root.render(<p>Missing "name" parameter</p>);
} else {
  root.render(<Hello name={name}/>);
}
